Thunder Docs
  1. Custom stores integration
  • Custom stores integration
    • Thunder Script Integration
    • Webhooks Integration
    • Orders Webhook
      POST
    • Products Webhook
      POST
  1. Custom stores integration

Orders Webhook

POST
https://trythunder.app/api/custom/webhook
Last modified:2026-07-08 16:01:48

Request

Header Params

Body Params application/jsonRequired

Example
{
    "event": "order.create",
    "id": "string",
    "total": 0,
    "subTotal": 0,
    "discount": 0,
    "shippingCost": 0,
    "cashOnDelivery": 0,
    "tax": 0,
    "currency": "string",
    "city": "string",
    "country": "string",
    "createdAt": "string",
    "payementStatus": "string",
    "ipAddress": "string",
    "customer": {
        "id": "string",
        "name": "string",
        "email": "string",
        "mobileCode": "string",
        "mobileNumber": "string",
        "gender": "MALE"
    },
    "items": [
        {
            "id": "string",
            "name": "string",
            "thumbnail": "string",
            "quantity": 0,
            "total": 0,
            "subTotal": 0,
            "tax": 0,
            "discount": 0,
            "hardCost": {
                "labor": 0,
                "total": 0,
                "shipping": 0,
                "packaging": 0,
                "manufacturing": 0,
                "customFields": [
                    {
                        "title": "string",
                        "value": 0
                    }
                ]
            }
        }
    ]
}

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Modified at 2026-07-08 16:01:48
Previous
Webhooks Integration
Next
Products Webhook
Built with